## serial

serial — Serial Link Settings

## Properties

Table 44.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    baud

    uint32

    57600

Speed to use for communication over the serial port. Note that this value usually has no effect for mobile broadband modems as they generally ignore speed settings and use the highest available speed.

    bits

    uint32

    8

Byte-width of the serial communication. The 8 in "8n1" for example.

    parity

    byte

    0

The connection parity: 69 (ASCII 'E') for even parity, 111 (ASCII 'o') for odd, 110 (ASCII 'n') for none.

    send-delay

    uint64

    0

Time to delay between each byte sent to the modem, in microseconds.

    stopbits

    uint32

    1

Number of stop bits for communication on the serial port. Either 1 or 2. The 1 in "8n1" for example.